path: /build/build/perl-Digest-SHA-virtual-6.20.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/perl-Digest-SHA -pv -t
  - |
    emerge -j ${JOBS} --nodeps virtual/perl-Digest-SHA
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/perl-Digest-SHA && luet-portage
    --dir /pkgdir/perl-Digest-SHA virtual/perl-Digest-SHA
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8e65555350d20b9ad182b5a7924f6be12eec3d0b1ef239cbe4e104b1d062aa2e
  package:
    name: perl-Digest-SHA
    version: 6.20.0
    category: virtual
    requires:
    - name: perl-Digest-MD5
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for Digest-SHA
    uri:
    - ""
    buildtimestamp: 2023-08-14 09:48:35.404272032 +0000 UTC m=+46.218137684
    labels:
      RDEPEND: '|| ( =dev-lang/perl-5.32* =dev-lang/perl-5.30* ~perl-core/Digest-SHA-6.20.0
        ) dev-lang/perl:= !<perl-core/Digest-SHA-6.20.0 !>perl-core/Digest-SHA-6.20.0-r999'
      emerge.packages: virtual/perl-Digest-SHA
      kit: perl-kit
      original.package.name: virtual/perl-Digest-SHA
      original.package.slot: "0"
      original.package.version: 6.20.0-r1
    treedir: /build/packages
  package_dir: /pkgdir/perl-Digest-SHA
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ce4d9293343094d3edfb336e426a3d9221f9934a5304651d2ec884d719605f73
compressiontype: zstd
files:
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/BUILD_TIME
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/CATEGORY
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/CBUILD
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/CFLAGS
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/CHOST
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/COUNTER
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/CXXFLAGS
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/DEFINED_PHASES
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/DESCRIPTION
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/EAPI
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/FEATURES
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/IUSE
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/IUSE_EFFECTIVE
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/KEYWORDS
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/LDFLAGS
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/LICENSE
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/PF
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/RDEPEND
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/SIZE
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/SLOT
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/USE
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/environment.bz2
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/perl-Digest-SHA-6.20.0-r1.ebuild
- var/db/pkg/virtual/perl-Digest-SHA-6.20.0-r1/repository
package_cacheimage: ""
runtime:
  name: perl-Digest-SHA
  version: 6.20.0
  category: virtual
  requires:
  - name: perl
    version: '>=0'
    category: dev-lang
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for Digest-SHA
  uri:
  - ""
  labels:
    RDEPEND: '|| ( =dev-lang/perl-5.32* =dev-lang/perl-5.30* ~perl-core/Digest-SHA-6.20.0
      ) dev-lang/perl:= !<perl-core/Digest-SHA-6.20.0 !>perl-core/Digest-SHA-6.20.0-r999'
    emerge.packages: virtual/perl-Digest-SHA
    kit: perl-kit
    original.package.name: virtual/perl-Digest-SHA
    original.package.slot: "0"
    original.package.version: 6.20.0-r1
